I = double(I); 
I = I - mean(I(:));   
I = I/sqrt(var(I(:)));  % normalize I to have mean 0 variance 1 
mx = max(I(:)); 
mn = min(I(:)); 
Im = (I-mn)/(mx-mn); 

J = synthesize(FI, F); 
Jm = (J-mn)/(mx-mn); 
Jm = Jm - (Jm-1).*(Jm>1) - Jm.*(Jm<0);

J1 = synt(FI, FS, 3); 
subplot(1, 2, 1); imshow(J1, []); 

D = I-J; 
D = (D-mn)/(mx-mn); 
D = D - (D-1).*(D>1) - D.*(D<0);
subplot(1, 2, 2); imshow(D); 

figure
subplot(1, 2, 1); imshow(Im); 
subplot(1, 2, 2); imshow(Jm); 

figure

N = size(FI, 2);
s = size(FI{1}); 

T = 10; 

fr = zeros(s(1), s(2), 1, T); 
for (t = 1:T)
   L = T+1-t; 
   count = 0; 
   for (i = 1:N)
       D = (abs(FI{i})>=L); 
       FJ{i} = FI{i}.*D; 
       count = count + sum(D(:)); 
   end
   [L, count]
   J = synthesize(FJ, F); 
   J = (J-mn)/(mx-mn); 
   J = J - (J-1).*(J>1) - J.*(J<0);
   [fr(:, :, 1, t), map] = gray2ind(J); 
end

mov = immovie(fr, map); 

movie(mov, 20); 

figure
montage(fr, map); 